Subject: Re: [bug#53818] [PATCH 2/3] import: Add 'repology' updater.

From: Xinglu Chen <[email-masked]>
Date: Sun, 06 Feb 2022 16:34:12 +0100

Maxime schrieb am Sonntag der 06. Februar 2022 um 14:18 +01:

> Xinglu Chen schreef op zo 06-02-2022 om 14:00 [+0100]:
>> +(define (stable-version? repology-package)
>> +  (and (or (equal? "newest" (repology-package-status repology-package))
>> +           (equal? "unique" (repology-package-status repology-package)))
>> +       (repology-package-version repology-package)))
>
> What does 'stable' mean here?  We usually just use the latest version
> of a package, unlike, say, Debian stable.

“Stable” refers to a stable release, so things like pre-releases will be
ignored.  Maybe it should be renamed to ‘latest-release?’ or
‘latest-stable-release?’?